#!/usr/bin/python3
# -*- coding: utf-8 -*-
from SPARQLWrapper import SPARQLWrapper, JSON
import sys
import argparse

query ="""
PREFIX wd: <http://www.wikidata.org/entity/>
PREFIX wdt: <http://www.wikidata.org/prop/direct/>
PREFIX p: <http://www.wikidata.org/prop/>
PREFIX ps: <http://www.wikidata.org/prop/statement/>
PREFIX pq: <http://www.wikidata.org/prop/qualifier/>
"""

def execute_query(sparql_endpoint, sparql_query):
    sparql = SPARQLWrapper("https://query.wikidata.org/sparql")
    sparql.setQuery(query)
    sparql.setReturnFormat(JSON)
    results = sparql.query().convert()

    for result in results["results"]["bindings"]:
        st = ""
        for key in result.keys():
            st = st + key + " : "+ result[key][u'value'] + " , "
            print(st[:-3])    

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description='Sparql query')

    parser.add_argument('--endpoint', dest='endpoint',
                        help='sum the integers (default: find the max)')

    with open(sys.argv[1]) as f:
        for line in f:
            query = query + line


